
set name=%1%
set out=%name%.vmt

echo."UnlitGeneric" > %out%
echo.{ >> %out%
echo.	"$basetexture"		"vgui/entities/%name%" >>%out%
echo.	"$vertexcolor" 		1 >> %out%
echo.	"$vertexalpha" 		1 >> %out%
echo.	"$nolod" 			1 >> %out%
echo.} >> %out%

copy base.vtf %name%.vtf